> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cedarai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Setout Cars

> Setout cars. On success, completes the Setout tasks.



## OpenAPI

````yaml /user-docs/api-reference/work_order.swagger.json post /t/v1/setout-cars
openapi: 3.0.1
info:
  title: protobuf/arms/work_order.proto
  version: version not set
servers:
  - description: Production (US)
    url: https://api-lg-k-h1.arms.cedarai.com
  - description: Production (EU)
    url: https://api-lg-k-h1.arms.cedarai.se
security:
  - ApiKeyAuth: []
    AssumeUserAuth: []
tags:
  - name: WorkOrderService
paths:
  /t/v1/setout-cars:
    post:
      tags:
        - WorkOrderService
      summary: Setout Cars
      description: Setout cars. On success, completes the Setout tasks.
      operationId: SetoutCars
      parameters:
        - description: Carrier ID
          in: header
          name: Carrier
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/armsSetoutCarsRequest'
        description: Request message for completing setout tasks.
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
          description: A successful response.
        default:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
          description: An unexpected error response.
components:
  schemas:
    armsSetoutCarsRequest:
      description: Request message for completing setout tasks.
      example:
        exceptions: []
        items:
          - position: 1
            setout_task_id: task_001
            track_id: 67890
          - equipment_id: 55555
            position: 2
            track_id: 67890
        work_order_id: '12345'
      properties:
        exceptions:
          items:
            $ref: '#/components/schemas/armsSetoutCarsRequestException'
          type: array
        isLostConsist:
          type: boolean
        items:
          description: >-
            List of items to Setout. The associated Setout tasks will be closed
            on success.
          items:
            $ref: '#/components/schemas/armsSetoutCarsRequestItem'
          type: array
        timestamp:
          format: date-time
          type: string
        workOrderId:
          type: string
      required:
        - exceptions
        - items
        - workOrderId
      title: Setout Cars Request
      type: object
    rpcStatus:
      properties:
        code:
          format: int32
          type: integer
        details:
          items:
            $ref: '#/components/schemas/protobufAny'
          type: array
        message:
          type: string
      type: object
    armsSetoutCarsRequestException:
      properties:
        equipmentId:
          description: >-
            Reference by equipment ID. Provide either setout_task_id or
            equipment_id, but not both.
          format: uint64
          type: string
        exception:
          type: string
        setoutTaskId:
          description: >-
            Reference by setout task ID. Provide either setout_task_id or
            equipment_id, but not both.
          type: string
        taskId:
          description: Deprecated. Use setout_task_id or equipment_id instead.
          type: string
      type: object
    armsSetoutCarsRequestItem:
      properties:
        equipmentId:
          description: >-
            Reference by equipment ID. Provide either setout_task_id or
            equipment_id, but not both.
          format: uint64
          type: string
        position:
          description: The spot on the track to Setout the car to.
          format: int32
          type: integer
        setoutTaskId:
          description: >-
            Reference by setout task ID. Provide either setout_task_id or
            equipment_id, but not both.
          type: string
        taskId:
          description: Deprecated. Use setout_task_id or equipment_id instead.
          type: string
        trackId:
          description: The ID of the track to Setout the car to.
          format: uint64
          type: string
      type: object
    protobufAny:
      additionalProperties:
        type: object
      properties:
        '@type':
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-arms-api-key
      type: apiKey
    AssumeUserAuth:
      in: header
      name: x-arms-assume-user
      type: apiKey

````